# NxtHerokuDatabaseBackup

Welcome to your new gem! In this directory, you'll find the files you need to be able to package up your Ruby library into a gem. Put your Ruby code in the file `lib/nxt_heroku_database_backup`. To experiment with that code, run `bin/console` for an interactive prompt.

## TODO

- Gzip files before uploading
- Encrypt files before upload
- Add other cloud adaptors

## Installation

Add this line to your application's Gemfile:

```ruby
gem 'nxt_heroku_database_backup'
```

And then execute:

    $ bundle

Or install it yourself as:

    $ gem install nxt_heroku_database_backup

## Usage

In order to use the `NxtHerokuDatabaseBackup::Manager`, you need to add the [heroku-buildpack-cli](https://github.com/heroku/heroku-buildpack-cli)
to your heroku project. Then you probably want to add a rake task to you project and schedule it with the heroku scheduler to be called once a day or so.


## Development

After checking out the repo, run `bin/setup` to install dependencies. Then, run `rake spec` to run the tests. You can also run `bin/console` for an interactive prompt that will allow you to experiment.

To install this gem onto your local machine, run `bundle exec rake install`. To release a new version, update the version number in `version.rb`, and then run `bundle exec rake release`, which will create a git tag for the version, push git commits and tags, and push the `.gem` file to [rubygems.org](https://rubygems.org).

## Contributing

Bug reports and pull requests are welcome on GitHub at https://github.com/[USERNAME]/nxt_heroku_database_backup.

## License

The gem is available as open source under the terms of the [MIT License](https://opensource.org/licenses/MIT).
